Bug Hunting Session
Bug 53246 - Libo36 does not start, InvalidRegistryException from program/services/postgresql-sdbc.rdb
Summary: Libo36 does not start, InvalidRegistryException from program/services/postgre...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: x86-64 (AMD64) Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0 target:3.6.1
Keywords:
Depends on:
Blocks: 43489
  Show dependency treegraph
 
Reported: 2012-08-08 13:38 UTC by reussandras
Modified: 2012-08-22 13:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
the details (461.96 KB, text/plain)
2012-08-08 13:38 UTC, reussandras
Details

Note You need to log in before you can comment on or make changes to this bug.
Description reussandras 2012-08-08 13:38:53 UTC
Created attachment 65287 [details]
the details

I installed the recent Libo36 version and it simply does not start.
After clicking on the icon, I get this alert:
============================
Fatal error
Unhandled exception:
InvalidRegistryException: file://<path_to_libo>/program/services/postgresql-sdbc.rdb: duplicate <implementation name = "org.openoffice.comp.connectivity.pq.Driver">
=======================
Click ok, then:
========================
Microsoft Visual C++ Runtime Library
Program: <path_to_libo*\program\soffice.bin

This application has requested the Runtime to terminate it in an unusual way. Please contact the application support team for more information.
=====================
Click ok, then:
=================
Libo alert panel (in Hungarian):
Error detected, then stop, click here for details.
================
The details:
================
AppName: soffice.bin	 AppVer: 3.6.0.104	 ModName: msvcr90.dll
ModVer: 9.0.30729.6161	 Offset: 0005beae
=====================
Technical details:
==================
in the attachment
Comment 1 Stephan Bergmann 2012-08-08 14:01:16 UTC
Does the work-around for the "Various problems with bundled extensions" item of <https://wiki.documentfoundation.org/index.php?title=ReleaseNotes/3.6#Most_annoying_bugs> solve this for you?
Comment 2 reussandras 2012-08-08 14:32:39 UTC
Removing the extension directory did not helped. But when I wiped out the whole LibreOffice in the Application Data directory, it did it. Thanks. Close?
Comment 3 Stephan Bergmann 2012-08-08 15:25:33 UTC
(In reply to comment #2)
> Removing the extension directory did not helped. But when I wiped out the whole
> LibreOffice in the Application Data directory, it did it.

Hm, could it be that you had some postgresql related extension installed per-user?  That could explain the error message (if that extension happened to implement some UNO component named org.openoffice.comp.connectivity.pq.Driver, too) and the fact that you needed to wipe the whole LibreOffice\3\user (or rather, removing just the LibreOffice\3\user\uno_packages directory should have been sufficient in that case, in case you have the old directory still around and want to try it out).
Comment 4 bfoman (inactive) 2012-08-10 16:22:20 UTC

*** This bug has been marked as a duplicate of bug 53006 ***
Comment 5 Stephan Bergmann 2012-08-10 16:43:11 UTC
(In reply to comment #4)
> *** This bug has been marked as a duplicate of bug 53006 ***

No, that would not explain comment 2.
Comment 6 Not Assigned 2012-08-13 08:08:47 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f50a41437ee99aee499dbabd1d36ef8197db5559

fdo#53246 Fresh postgresql-sdbc implementation names
Comment 7 Not Assigned 2012-08-13 10:41:45 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6661959e6a6671f222c931d5eb1b51c21d630ea6&g=libreoffice-3-6

fdo#53246 Fresh postgresql-sdbc implementation names


It will be available in LibreOffice 3.6.1.
Comment 8 Stephan Bergmann 2012-08-22 13:07:40 UTC
(In reply to comment #3)
> Hm, could it be that you had some postgresql related extension installed
> per-user?

Ach, probably that would not even have been necessary.  I guess what's going on is as follows:  LO 3.5 included that included that postgresql-related functionality as a bundled extension before c97d74b5f0608866bad3f7ae943811bdff4f7986 "fdo#45090: Changed postgresql-sdbc from bundled oxt to proper optional part" changed that towards LO 3.6.  Now when LO 3.6 on Linux instantiated the service manager very early (fixed meanwhile with 6c6358a6822d3562b9b8c7668a7d60d6c644dfe8 "Related fdo#53006: Do not instantiate service manager too early") before old user/extensions/bundled had been cleaned, this would have lead to the duplicate implementation failure.